# Interface SlowQueryReportJmxMBean

All Known Implementing Classes:
  `SlowQueryReportJmx`

public interface SlowQueryReportJmxMBean
JMX MBean interface for exposing slow query statistics via JMX.

## Method Summary

Modifier and Type
Method
Description
`CompositeData[]`
`getSlowQueriesCD()`
Returns slow query statistics as JMX CompositeData.

## Method Details

### getSlowQueriesCD

CompositeData[] getSlowQueriesCD() throws OpenDataException
Returns slow query statistics as JMX CompositeData.

Returns:
  array of composite data representing slow query statistics
Throws:
  `OpenDataException` - if the composite data cannot be created